// Verilog definition of TB3
// created by TB

module TB3(N64, N65, N66, N67, N68, N69, N70);
input N64;
input N65;
input N66;
input N67;
input N68;
output N69;
output N70;

  wire N71;
  wire N75;
  wire N82;

  inv02 ix133(N71, N70);
  oai21 ix21(N65, N68, N75, N71);
  nand02_2x ix136(N66, N67, N75);
  ao21 ix138(N64, N66, N82, N69);
  and02 ix9(N65, N75, N82);

endmodule
